#!/bin/bash

### 设置锁屏等配置
cp /usr/share/kylin-os-config-common/edu/90_kylin-edu-settings.gschema.override /usr/share/glib-2.0/schemas/90_kylin-edu-settings.gschema.override
glib-compile-schemas /usr/share/glib-2.0/schemas/

is_set_APP_SCENE=$(cat /etc/.kylin-osinfo | grep "^APP_SCENE=") || true
if [ -n "${is_set_APP_SCENE}" ];then
	sed 's/^APP_SCENE=.*/APP_SCENE=EDU/g' -i /etc/.kylin-osinfo
else
	echo "APP_SCENE=EDU" >> /etc/.kylin-osinfo
fi

is_set_VERSION=$(cat /etc/.kylin-osinfo | grep "^VERSION=") || true
if [ -n "${is_set_VERSION}" ];then
	sed 's/^VERSION=.*/VERSION="银河麒麟桌面操作系统（教育版）V10"/g' -i /etc/.kylin-osinfo
else
	echo "VERSION=\"银河麒麟桌面操作系统（教育版）V10\"" >> /etc/.kylin-osinfo
fi

is_set_VERSION_US=$(cat /etc/.kylin-osinfo | grep "^VERSION_US=") || true
if [ -n "${is_set_VERSION_US}" ];then
	sed 's/^VERSION_US=.*/VERSION_US="Kylin Linux Desktop EDU V10"/g' -i /etc/.kylin-osinfo
else
	echo "VERSION_US=\"Kylin Linux Desktop EDU V10\"" >> /etc/.kylin-osinfo
fi

